net.minecraftforge.fluids

## Class FluidRegistry

- java.lang.Object
- - net.minecraftforge.fluids.FluidRegistry

-     public abstract class FluidRegistry
      extends java.lang.Object

  Handles Fluid registrations. Fluids MUST be registered in order to function.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FluidRegistry.FluidRegisterEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Fluid` | `LAVA`
    `static int` | `renderIdFluid`
    `static Fluid` | `WATER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Fluid` | `getFluid(int fluidID)`
    `static Fluid` | `getFluid(java.lang.String fluidName)`
    `static int` | `getFluidID(java.lang.String fluidName)`
    `static java.lang.String` | `getFluidName(FluidStack stack)`
    `static java.lang.String` | `getFluidName(int fluidID)`
    `static FluidStack` | `getFluidStack(java.lang.String fluidName, int amount)`
    `static int` | `getMaxID()`
    `static java.util.Map<java.lang.String,java.lang.Integer>` | `getRegisteredFluidIDs()` Returns a read-only map containing Fluid Names and their associated IDs.
    `static java.util.Map<java.lang.String,Fluid>` | `getRegisteredFluids()` Returns a read-only map containing Fluid Names and their associated Fluids.
    `static void` | `initFluidIDs(com.google.common.collect.BiMap<java.lang.String,java.lang.Integer> newfluidIDs)` Called by Forge to prepare the ID map for server -> client sync.
    `static boolean` | `isFluidRegistered(Fluid fluid)`
    `static boolean` | `isFluidRegistered(java.lang.String fluidName)`
    `static Fluid` | `lookupFluidForBlock(Block block)`
    `static boolean` | `registerFluid(Fluid fluid)` Register a new Fluid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WATER

          public static final Fluid WATER

    - #### LAVA

          public static final Fluid LAVA

    - #### renderIdFluid

          public static int renderIdFluid

  - ### Method Detail

    - #### initFluidIDs

          public static void initFluidIDs(com.google.common.collect.BiMap<java.lang.String,java.lang.Integer> newfluidIDs)

      Called by Forge to prepare the ID map for server -> client sync. Modders, DO NOT call this.

    - #### registerFluid

          public static boolean registerFluid(Fluid fluid)

      Register a new Fluid. If a fluid with the same name already exists, registration is denied.
      Parameters:
        `fluid` - The fluid to register.
      Returns:
        True if the fluid was successfully registered; false if there is a name clash.

    - #### isFluidRegistered

          public static boolean isFluidRegistered(Fluid fluid)

    - #### isFluidRegistered

          public static boolean isFluidRegistered(java.lang.String fluidName)

    - #### getFluid

          public static Fluid getFluid(java.lang.String fluidName)

    - #### getFluid

          public static Fluid getFluid(int fluidID)

    - #### getFluidName

          public static java.lang.String getFluidName(int fluidID)

    - #### getFluidName

          public static java.lang.String getFluidName(FluidStack stack)

    - #### getFluidID

          public static int getFluidID(java.lang.String fluidName)

    - #### getFluidStack

          public static FluidStack getFluidStack(java.lang.String fluidName,
                                 int amount)

    - #### getRegisteredFluids

          public static java.util.Map<java.lang.String,Fluid> getRegisteredFluids()

      Returns a read-only map containing Fluid Names and their associated Fluids.

    - #### getRegisteredFluidIDs

          public static java.util.Map<java.lang.String,java.lang.Integer> getRegisteredFluidIDs()

      Returns a read-only map containing Fluid Names and their associated IDs.

    - #### lookupFluidForBlock

          public static Fluid lookupFluidForBlock(Block block)

    - #### getMaxID

          public static int getMaxID()